Subject: Re: How to echo out shell var inside make in B20
From: [email-masked] (John Alvord)

22 Jan 1999 17:20:37 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: "Truong, Ton H" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>,
        "'Takaaki Hiramatsu'" <[email-masked]>

Unless you do something, priority goes

	1. variables defined on command line
	2. makefile text
	3. environment variables

You can increase the environment variable prority using the -e command
line option. You can alter 1 vs 2 using the "override"control in the
makefile text.

john alvord

Music, Management, Poetry and more...
           http://www.candlelist.org/kuilema
 
Cheap CDs @ http://www.cruzio.com/~billpeet/MusicByCandlelight

On Thu, 21 Jan 1999, Truong, Ton H wrote:

> I just downloaded the B20.1 version and run into this problem which we did
> not have using B18.
> 
> Our makefile defines this variable
> LIB=ttdr
> 
> Say I have this target:
> unittestdebug:
>      echo $$LIB
> 
> With the double dollar sign, I would expect the echo command to echo out the
> VC++ LIB environment variable (c:/msdev/VC/lib; etc...), but it echoes out
> the value "ttdr" - the Makefile variable instead.
> 
> Does anyone have a workaround for it?
> 
> Please respond to me, as I am not a subscriber to the list.
> 
> //Ton Truong
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".